IMG_FreeAnimation(3)

NAME
IMG_FreeAnimation - Dispose of an IMG_Animation and free its resources.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

void IMG_FreeAnimation(IMG_Animation *anim);

DESCRIPTION
The provided anim pointer is not valid once this call returns.

FUNCTION PARAMETERS

anim

    IMG_Animation to dispose of.

AVAILABILITY
This function is available since SDL_image 3.0.0.

SEE ALSO
IMG_LoadAnimation(3), IMG_LoadAnimation_IO(3), IMG_LoadAnimationTyped_IO(3), IMG_LoadANIAnimation_IO(3), IMG_LoadAPNGAnimation_IO(3), IMG_LoadAVIFAnimation_IO(3), IMG_LoadGIFAnimation_IO(3), IMG_LoadWEBPAnimation_IO(3)